Get Tenant Automation
curl --request GET \
--url https://api.embedreach.com/api/automations/{id}import requests
url = "https://api.embedreach.com/api/automations/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"triggerMetadata": {
"triggerType": "one_time",
"scheduledAt": "<string>",
"timezone": "<string>"
},
"actionData": [
{
"actionMetadata": {
"actionType": "send_communication",
"communicationGroupId": "<string>",
"currentActionId": "<string>",
"nextActionId": "<string>",
"templateActionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customBlockText": "<string>"
}
}
],
"businessId": "<string>",
"includeSegmentIds": [
"<string>"
],
"excludeSegmentIds": [
"<string>"
],
"derivedRevenue": 123,
"derivedOrders": 123,
"extraMergeFieldsInUse": [
{
"id": "<string>",
"type": "static",
"templateName": "<string>",
"displayName": "<string>",
"staticValue": "<string>"
}
],
"usePointOfContactSender": true,
"senderProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}Tenant Automation
Get Tenant Automation
Get a tenant automation by id
GET
/
api
/
automations
/
{id}
Get Tenant Automation
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The id of the automation
Query Parameters
The Reach product the caller is rendering this automation under. Reputation automations (currently encoded as managed_hidden) are only returned when feature=reputation; otherwise they 404. Defaults to engage.
Available options:
engage, measure, reputation, acquire, voice ⌘I